<?php
/************************************************************************
  Übersicht aller Sensorwerte der letzten 24 Stunden in einem Chart     *
  Darunter eine Anzeige der zuletzt gespeicherten Werte aller Sensoren  *
  Die Chart-Linien werden als Spline dargestellt.                       *
  Angepasst von Markus Otte 2013-2015																		*
  Original von www.fluuux.de     										      							*
************************************************************************/

include_once("es_includes/common.inc.php");
include_once("es_includes/functions.inc.php");



if(!isset($_GET['timePeriodInHours'])) $_GET['timePeriodInHours'] = 24; else $_GET['timePeriodInHours'] = $_GET['timePeriodInHours'];
if(!isset($_GET['chartStyle'])) $_GET['chartStyle'] = 1; else $_GET['chartStyle'] = $_GET['chartStyle'];


$colors = array('#89A54E','#80699B','#3D96AE','#DB843D','#92A8CD','#A47D7C','#B5CA92','#A47D7C');


for($i=0;$i<NUMSENSORS;$i++)
{
  list($chartValues[], $stundenValues[]) = getChartValues($i+1, $_GET['timePeriodInHours'], 1);
}
      	
$stundenValues = $stundenValues[0];
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Sensoren &Uuml;bersicht</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="refresh" content="300">
    <meta name="Keywords" content="Heizungsanlage,Heizungssteuerung,Arduino,Temperatursensor,DS18s20, Markus OTTE">
    <meta name="Description" content="Visualisierung der Temperaturdaten einer Luftwaermetauschers">
    <meta name="Robots" content="index,follow">
    <link rel="stylesheet" type="text/css" href="es_styles/default.css">
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>

<script type="text/javascript">
$(function () 
{
  var chart;
  
  $(document).ready(function() 
  {        
    chart = new Highcharts.Chart(
    {
      chart: 
      {
        renderTo: 'container'
      },
      title: 
      {
        text: 'Temperatur- und Feuchtewerte der letzten <?php echo $_GET['timePeriodInHours'];?> Stunden'
      },
      subtitle: 
      {
        text: 'Luft-Wärmekoppler - Markus Otte'
      },
      xAxis: 
      {
        title:
        {
          text: ''
        },
        categories: [<?php echo $stundenValues;?>]
      },      
      yAxis:
      {   
        title: 
        {
          text: ''          
        },      
        labels: 
        {
          formatter: function() 
          {
            if (this.value > 30) 
            return this.value +'%';
            else
            return this.value +'°C';	
          }
        }
      },
      tooltip: 
      {
        crosshairs: true,
        shared: true
      },
      tooltip: 
      {
        formatter: function() 
        {
          return '<b>'+ this.series.name +'</b><br/>'+this.x +' Uhr:  '+ this.y;
        }
      },  
      legend: 
      {
        enabled: true
      },
      credits:
      {
        enabled: false
      },
      series:
      [
<?php 
      for($i=0;$i<=NUMSENSORS;$i++)
      {
        if(!empty($chartValues[$i]))
        {
          list($mpChartType, $mpLineType, $mpName, $mpDescription, $mpLineColor) = getSensorSettings($i+1);
?>        {
            type: '<?php echo $mpChartType;?>',
            dashStyle: '<?php echo $mpLineType;?>',
            name: '<?php echo $mpName;?>', 
            color: '#<?php echo $mpLineColor;?>', 
            data: [<?php echo $chartValues[$i];?>],
            marker: 
            {
              symbol: 'square',
              enabled: false,
              states: 
              {
                hover: 
                {
                  symbol: 'square',
                  enabled: true,
                  radius: 8
                }
              }
            }    
          },
<?php  
        }
      } //for 
?>
      ] //series      
    });
  });  
});
</script>
  	
  	
  </head>
<body>

<div id="wrapper">
  <script src="es_scripts/highcharts.js"></script>
  <div id="container"></div>
</div>


</body>
</html>